# scipy.interpolate.CubicSpline.extend

`CubicSpline.``extend`(c, x, right=None)

  Add additional breakpoints and coefficients to the polynomial.

  Parameters:

  c : ndarray, size (k, m, …)

  > Additional coefficients for polynomials in intervals. Note that the first additional interval will be formed using one of the self.x end points.

  x : ndarray, size (m,)

  > Additional breakpoints. Must be sorted in the same order as self.x and either to the right or to the left of the current breakpoints.

  right

  > Deprecated argument. Has no effect.

  > Deprecated since version 0.19.